## gtk+2.0 2.24.32

=== debian/changelog ===
gtk+2.0 (2.24.32-4ubuntu4.1) focal-security; urgency=medium

  * SECURITY UPDATE: Library injection from CWD
    - debian/patches/CVE-2024-6655.patch: stop looking for modules in cwd
      in gtk/gtkmodules.c.
    - CVE-2024-6655

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 15 Jul 2024 12:56:29 -0400

gtk+2.0 (2.24.32-4ubuntu4) focal; urgency=medium

  * debian/test/build:
    - use the cross compiled version of pkg-config too

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Dec 2019 12:19:10 +0100

gtk+2.0 (2.24.32-4ubuntu3) focal; urgency=medium

  * Fix an issue with the previous change

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Dec 2019 10:05:07 +0100

gtk+2.0 (2.24.32-4ubuntu2) focal; urgency=medium

  * Make autopkgtests cross-test-friendly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 06 Dec 2019 11:02:19 -0800

gtk+2.0 (2.24.32-4ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/libgtk2.0-0.symbols: update symbols file.
    - Modify 015_default-fallback-icon-theme.patch
      - Set fallback icon theme to Adwaita instead of gnome
    - d/control: Depend on adwaita-icon-theme | gnome-icon-theme instead of
      the reverse order
    - Add Ubuntu-specific patches:
      + debian/patches/012_ubuntu-set-grab-add.patch
        - Added ubuntu_gtk_widget_set_has_grab so we can grab sliders and
          things in menus, needed by ido.
      + debian/patches/062_dnd_menubar.patch
        - Allow click on menubars for dnd.
      + debian/patches/063_treeview_almost_fixed.patch
        - Add an ubuntu-almost-fixed-height-mode property, (required for
          software-center).
      + debian/patches/071_no_offscreen_widgets_grabbing.patch:
        - Don't let offscreen widgets do grabbing.
      + debian/patches/090_logging_file_saves.patch
        - Improve the logging of saved files.
      + debian/patches/092_default_to_xdg_document_dir.patch:
        - Use $XDG_DOCUMENTS_DIR as default directory rather than the home
          directory for the "Print to File" function.
      + debian/patches/093_gtk3_gtkimage_fallbacks_use.patch:
        - Backported gtk3 patch to add a "use-fallback" property to GtkImage,
          using it "icon-name and GIcon type of GtkImages can use automatic
          fallback names."; it will be useful for the indicator stack.
      + debian/patches/095_git_menus_scrolling.patch
        - Backported of a gtk3 commit fixing menu scrolling issues.
      + debian/patches/096_git_gtkprintsettings.patch
        - Backport an upstream git commit from the gtk3 series; don't ignore
          the gtkprintsettings resolution settings.
      + debian/patches/097_statusicon_image_fallback.patch
        - Make GtkStatusIcon images use fallbacks by default if the property
          is available.
      + debian/patches/098_multiarch_module_path.patch
        - Fallback to the pre-multiarch directory for compatibility.
      + debian/patches/099_printer_filename_fix.patch
        - Fix to the print dialog for print to file, make sure a non-hidden
          filename is the default.
      + debian/patches/100_overlay_scrollbar_loading.patch
        - Add support for dynamically loading overlay scrollbars.
      + debian/patches/gtk-shell-shows-menubar.patch
        - List gtk-shell-shows-menubar setting; that's required to have the
          local menubars hidding under Unity in favor of the Unity ones.
      + debian/patches/print-dialog-show-options-of-remote-dnssd-printers.patch:
        - Make printing on remote DNS-SD/Bonjour-shared printers work.
      + debian/patches/backport_search_printer_location.patch
        -  The list of printers should be searchable/sortable.
      + debian/patches/menubar_toolbar_dragging.patch
        - Allow windows to be dragged using blank spaces in the toolbar as
          well as the menubar.
      + debian/patches/use-secrets-service-for-cups-auth_info.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Sep 2019 10:52:24 +0200

gtk+2.0 (2.24.32-4) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Stop using gnome-get-source

  [ Simon McVittie ]
  * d/*.links.in: Remove dangling symlinks to changelog.gz, which is
    no longer installed since 2.24.32-3 (Closes: #907848)
  * d/tests/build: Add a basic autopkgtest
  * Skip building udebs under the noudeb build profile
  * Unconditionally use multiarch libdir
  * Stop forcing xz compression, let dpkg-deb decide
  * Disable the static library.
    The static library is not useful in practice, because its dependencies
    atk, gdk-pixbuf and pangocairo are only available as shared libraries.
    If a derived executable can use those shared libraries, then it can
    equally well use the shared GTK library.
    - d/p/001_static-linking-dont-query-immodules.patch,
      d/p/002_static-linking-dont-build-perf.patch,
      d/p/003_gdk.pc_privates.patch:
      Drop patches relating to static linking, which are no longer useful
  * d/patches: Update to upstream gtk-2-24 branch, commit
    2.24.32-62-g56c6970b02 (disregarding Windows- and macOS-specific
    changes which are not relevant for Debian)
  * d/rules: Rewrite using dh
  * Use debhelper-compat 12
  * API documentation:
    - Install documentation in /usr/share/gtk-doc, with symlinks in /u/s/doc.
      gtk-doc documentation is technically a functional interface (which
      Policy §12.3 says can't be in /usr/share/doc), because other packages
      can build-depend on it and use it to fix cross-references.
    - Install symlinks to gtk-doc in both /usr/share/doc/libgtk2.0-doc
      (traditional location) and /usr/share/doc/libgtk2.0-dev ("main package"
      for developer documentation, as recommended in Policy §12.3).
    - libgail-doc: Use /usr/share/doc symlink in doc-base registration.
      Otherwise Lintian complains.
  * Build-time tests:
    - Build-depend on xauth and xvfb for build-time tests

