=== debian/control ===
Source: gtk+2.0
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               gettext,
               gtk-doc-tools (>= 1.11),
               xsltproc,
               pkg-config,
               python3:any,
               libglib2.0-dev (>= 2.27.3),
               libgdk-pixbuf2.0-dev (>= 2.22.1),
               libpango1.0-dev (>= 1.28.3),
               libatk1.0-dev (>= 1.32.0),
               libx11-dev (>= 2:1.3.3-2),
               libxext-dev (>= 2:1.1.1-3),
               libxi-dev (>= 2:1.3-4),
               libxrandr-dev (>= 2:1.2.99),
               libxt-dev,
               libxrender-dev (>= 1:0.9.5-2),
               libxft-dev,
               libxcursor-dev (>= 1:1.1.10-2),
               libxcomposite-dev (>= 1:0.2.0-3),
               libxdamage-dev (>= 1:1.0.1-3),
               libxkbfile-dev,
               libxinerama-dev (>= 2:1.1-3),
               libxfixes-dev (>= 1:3.0.0-3),
               libcairo2-dev (>= 1.6.4-6.1),
               gnome-pkg-tools (>= 0.11),
               dpkg-dev (>= 1.16.1),
               x11proto-xext-dev,
               libcups2-dev (>= 1.2),
               gobject-introspection (>= 0.10.8-2),
               libgirepository1.0-dev (>= 0.9.3),
               quilt,
               gawk,
               shared-mime-info,
               docbook-xml,
               docbook-xsl,
               docbook-utils,
               libxml2-utils,
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: libglib2.0-doc,
                     libatk1.0-doc,
                     libpango1.0-doc,
                     libcairo2-doc
Rules-Requires-Root: no
Standards-Version: 4.1.2
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gtk2
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gtk2.git
Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gtk+2.0
Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gtk+2.0
Homepage: http://www.gtk.org/

Package: libgtk2.0-0
Architecture: any
Depends: libgtk2.0-common,
         ${misc:Depends},
         ${shlibs:Depends},
         adwaita-icon-theme | gnome-icon-theme,
         hicolor-icon-theme,
         shared-mime-info
Provides: gtk2.0-binver-2.10.0
Recommends: libgail-common,
            libgtk2.0-bin
Suggests: librsvg2-common,
          gvfs
Multi-Arch: same
Description: GTK graphical user interface library - old version
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the shared libraries.

Package: libgtk2.0-0-udeb
Build-Profiles: <!noudeb>
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Provides: gtk2.0-binver-2.10.0
Description: GTK graphical user interface library - minimal runtime
 This is a udeb, or a microdeb, for the debian-installer.
 .
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the minimal runtime library using X11 needed
 by the Debian installer.

Package: libgtk2.0-common
Section: misc
Architecture: all
Depends: ${misc:Depends}
Recommends: libgtk2.0-0
Multi-Arch: foreign
Description: common files for the GTK graphical user interface library
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the common files which the libraries need.

Package: libgtk2.0-bin
Section: misc
Architecture: any
Depends: ${misc:Depends},
         libgtk2.0-0 (= ${binary:Version}),
         libgtk2.0-common,
         gtk-update-icon-cache
Multi-Arch: foreign
Description: programs for the GTK graphical user interface library
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the utilities which are used by the libraries
 and other packages.

Package: libgtk2.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgtk2.0-0 (= ${binary:Version}),
         gir1.2-gtk-2.0 (= ${binary:Version}),
         libgtk2.0-common,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         libglib2.0-dev (>= 2.27.3),
         libgdk-pixbuf2.0-dev (>= 2.21.0),
         libpango1.0-dev (>= 1.20),
         libatk1.0-dev (>= 1.29.2),
         libcairo2-dev (>= 1.6.4-6.1),
         libx11-dev (>= 2:1.0.0-6),
         libxext-dev (>= 1:1.0.1-2),
         libxinerama-dev (>= 1:1.0.1-4.1),
         libxi-dev (>= 1:1.0.1-4),
         libxrandr-dev (>= 2:1.2.99),
         libxcursor-dev,
         libxfixes-dev (>= 1:3.0.0-3),
         libxcomposite-dev (>= 1:0.2.0-3),
         libxdamage-dev (>= 1:1.0.1-3),
         pkg-config (>= 0.26-1),
         libxml2-utils
Recommends: debhelper
Suggests: libgtk2.0-doc
Description: development files for the GTK library
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the header files and static libraries which are
 needed for developing GTK applications.

Package: libgtk2.0-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libglib2.0-doc,
            libatk1.0-doc,
            libpango1.0-doc
Suggests: devhelp
Multi-Arch: foreign
Description: documentation for the GTK graphical user interface library
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the HTML documentation for the GTK library
 in /usr/share/doc/libgtk2.0-doc/ .

Package: gtk2.0-examples
Section: x11
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgtk2.0-0 (= ${binary:Version})
Description: example files for GTK 2
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the example files and a demonstration program
 for GTK 2.

Package: gtk2-engines-pixbuf
Section: graphics
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: pixbuf-based theme for GTK 2
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the pixbuf theme engine.

Package: gir1.2-gtk-2.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libgtk2.0-common,
         ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends}
Provides: gir1.2-gdk-2.0 (= ${binary:Version}),
          gir1.2-gdkx11-2.0 (= ${binary:Version})
Description: GTK graphical user interface library -- gir bindings
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: libgail18
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgtk2.0-0 (= ${binary:Version})
Multi-Arch: same
Description: GNOME Accessibility Implementation Library -- shared libraries
 Gail implements ATK interfaces for GTK widgets which are dynamically
 loadable at runtime by a GTK application. Once loaded, those parts of
 an application that use standard GTK widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains the shared library.

Package: libgail18-udeb
Build-Profiles: <!noudeb>
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgtk2.0-0-udeb (= ${binary:Version})
Description: GNOME Accessibility Implementation Library -- shared libraries
 Gail implements ATK interfaces for GTK widgets which are dynamically
 loadable at runtime by a GTK application. Once loaded, those parts of
 an application that use standard GTK widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains the shared library for the Debian installer.

Package: libgail-common
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgail18 (= ${binary:Version})
Multi-Arch: same
Description: GNOME Accessibility Implementation Library -- common modules
 Gail implements ATK interfaces for GTK widgets which are dynamically
 loadable at runtime by a GTK application. Once loaded, those parts of
 an application that use standard GTK widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains core shared libraries.

Package: libgail-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libgail18 (= ${binary:Version}),
         libgail-common (= ${binary:Version}),
         libgtk2.0-dev (= ${binary:Version}),
         pkg-config (>= 0.26-1),
         libatk1.0-dev (>= 1.13.0)
Suggests: libgail-doc
Description: GNOME Accessibility Implementation Library -- development files
 Gail implements ATK interfaces for GTK widgets which are dynamically
 loadable at runtime by a GTK application. Once loaded, those parts of
 an application that use standard GTK widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains the development files for Gail.

Package: libgail-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp
Multi-Arch: foreign
Description: documentation files of the Gail library
 Gail implements ATK interfaces for GTK widgets which are dynamically
 loadable at runtime by a GTK application. Once loaded, those parts of
 an application that use standard GTK widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains the documentation files for Gail.
