=== debian/tests/control ===
Tests: build
Depends: build-essential, libgtk2.0-dev, xauth, xvfb
Restrictions: allow-stderr, superficial
