## gtk+2.0 2.24.32.3

=== debian/changelog ===
gtk+2.0 (2.24.32.3-1+deepin) unstable; urgency=low

  * ['Autobuild release-candidate: 294836f041b72e782a14e8978f95d7892e70d6b5']

 -- shuttle <shuttle@deepin.com>  Fri, 03 Jan 2020 14:37:47 +0000
